Ticket #44185

create_command_newcomer() may unconditionally increase maxplayers

Date d'ouverture: 2022-03-26 03:38 Dernière mise à jour: 2022-05-29 13:41

Rapporteur:
Propriétaire:
Type:
État:
Atteints
Composant:
Priorité:
7
Sévérité:
5 - moyen
Résolution:
Fixed
Fichier:
1

Détails

If there is already maxplayers players, create_command_newcomer() just increases maxplayers setting and proceeds to create the player. That seems VERY wrong. The command should fail, not override limitation set by the server operator (what is the point of the setting if it's not respected?)

I note that help for 'maxplayer' setting does match this by explicitly saying "...in pregame...", but that doesn't make any more sane behavior.

Ticket History (3/9 Histories)

2022-03-26 03:38 Updated by: cazfi
  • New Ticket "create_command_newcomer() may unconditionally increase maxplayers" created
2022-04-19 14:22 Updated by: cazfi
Commentaire

Reply To cazfi

not override limitation set by the server operator (what is the point of the setting if it's not respected?)

Almost a security issue -> should be considered 3.0.2 blocker.

2022-04-29 14:49 Updated by: cazfi
  • Priorité Update from 5 - moyen to 7
2022-05-02 08:28 Updated by: cazfi
Commentaire

It's easier to implement fixes in such a order that #44495 is fixed first.

2022-05-12 18:15 Updated by: cazfi
Commentaire

Depends on #44567

2022-05-16 06:31 Updated by: cazfi
  • Propriétaire Update from (Aucun) to cazfi
  • Résolution Update from Aucun to Accepted
2022-05-27 05:59 Updated by: None
Commentaire
2022-05-29 13:41 Updated by: cazfi
  • État Update from Ouvert to Atteints
  • Résolution Update from Accepted to Fixed

Modifier

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Connexion